Qwt User's Guide 6.1.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Variables Typedefs Enumerations Enumerator Pages
Public Member Functions | List of all members
QwtPoint3DSeriesData Class Reference

Interface for iterating over an array of 3D points. More...

`#include <qwt_series_data.h>`

Inheritance diagram for QwtPoint3DSeriesData:
[legend]

## Public Member Functions
| QwtPoint3DSeriesData (const QVector< QwtPoint3D > &=QVector< QwtPoint3D >())
virtual QRectF | boundingRect () const
| Calculate the bounding rectangle. More...
Public Member Functions inherited from QwtArraySeriesData< QwtPoint3D >
| QwtArraySeriesData ()
| Constructor.
| QwtArraySeriesData (const QVector< QwtPoint3D > &samples)
void | setSamples (const QVector< QwtPoint3D > &samples)
const QVector< QwtPoint3D > | samples () const
virtual size_t | size () const
virtual QwtPoint3D | sample (size_t index) const
Public Member Functions inherited from QwtSeriesData< QwtPoint3D >
| QwtSeriesData ()
| Constructor.
virtual | ~QwtSeriesData ()
| Destructor.
virtual void | setRectOfInterest (const QRectF &rect)

## Additional Inherited Members
Protected Attributes inherited from QwtArraySeriesData< QwtPoint3D >
QVector< QwtPoint3D > | d_samples
| Vector of samples.
Protected Attributes inherited from QwtSeriesData< QwtPoint3D >
QRectF | d_boundingRect
| Can be used to cache a calculated bounding rectangle.

## Detailed Description

Interface for iterating over an array of 3D points.

## Constructor & Destructor Documentation

QwtPoint3DSeriesData::QwtPoint3DSeriesData | ( | const QVector< QwtPoint3D > & | samples = `QVector<QwtPoint3D>()` | ) |

Constructor

Parameters

  samples | Samples

## Member Function Documentation

QRectF QwtPoint3DSeriesData::boundingRect | ( |  | ) | const
| virtual

Calculate the bounding rectangle.

The bounding rectangle is calculated once by iterating over all points and is stored for all following requests.

Returns
  Bounding rectangle

Implements QwtSeriesData< QwtPoint3D >.